summaryrefslogtreecommitdiff
path: root/tests/fate.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/fate.sh')
-rwxr-xr-xtests/fate.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/fate.sh b/tests/fate.sh
index f3712911eb..38458c748c 100755
--- a/tests/fate.sh
+++ b/tests/fate.sh
@@ -111,8 +111,8 @@ echo ${version} >version-$slot
rm -rf "${build}" *.log
mkdir -p ${build}
-configure >configure.log 2>&1 || fail $? "error configuring"
-compile >compile.log 2>&1 || fail $? "error compiling"
-fate >test.log 2>&1 || fail $? "error testing"
+configure >configure.log 2>&1 || fail 3 "error configuring"
+compile >compile.log 2>&1 || fail 2 "error compiling"
+fate >test.log 2>&1 || fail 1 "error testing"
report 0 success
clean